| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IAlgContextSvc Class Reference

`#include <IAlgContextSvc.h>`

Inheritance diagram for IAlgContextSvc:

[legend]
Collaboration diagram for IAlgContextSvc:

[legend]
List of all members.

## Detailed Description

An abstract interface for Algorithm Context Service.

Author:
  ATLAS Collaboration

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2007-03-07 (modified)

Definition at line 28 of file IAlgContextSvc.h.

## Public Types
typedef std::vector< IAlgorithm * > | Algorithms
| the actual type of algorithm' stack
## Public Member Functions
virtual StatusCode | setCurrentAlg (IAlgorithm *a)=0
| set the currently executing algorithm ("push_back")
virtual StatusCode | unSetCurrentAlg (IAlgorithm *a)=0
| remove the algorithm ("pop_back")
virtual IAlgorithm * | currentAlg () const=0
| accessor to current algorithm:
virtual const Algorithms & | algorithms () const=0
| get the stack of executed algorithms
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| unique algorithm identification
## Protected Member Functions
virtual | ~IAlgContextSvc ()
| virtual and protected desctructor

## Member Typedef Documentation

typedef std::vector<IAlgorithm*> IAlgContextSvc::Algorithms

the actual type of algorithm' stack

Definition at line 32 of file IAlgContextSvc.h.

## Constructor & Destructor Documentation

IAlgContextSvc::~IAlgContextSvc | ( |  | ) | `[protected, virtual]`

virtual and protected desctructor

Definition at line 39 of file AlgContext.cpp.

    00039 {}

## Member Function Documentation

virtual StatusCode IAlgContextSvc::setCurrentAlg | ( | IAlgorithm * | a | ) | `[pure virtual]`

set the currently executing algorithm ("push_back")

Implemented in AlgContextSvc.

virtual StatusCode IAlgContextSvc::unSetCurrentAlg | ( | IAlgorithm * | a | ) | `[pure virtual]`

remove the algorithm ("pop_back")

Implemented in AlgContextSvc.

Referenced by Gaudi::Utils::AlgContext::~AlgContext().

virtual IAlgorithm* IAlgContextSvc::currentAlg | ( |  | ) | const`[pure virtual]`

accessor to current algorithm:

Implemented in AlgContextSvc.

Referenced by HistorySvc::getCurrentIAlg().

virtual const Algorithms& IAlgContextSvc::algorithms | ( |  | ) | const`[pure virtual]`

get the stack of executed algorithms

Implemented in AlgContextSvc.

Referenced by getAlg(), Gaudi::Utils::getAlgorithm(), and Gaudi::Utils::getSequencer().

const InterfaceID & IAlgContextSvc::interfaceID | ( |  | ) | `[static]`

unique algorithm identification

Reimplemented from IInterface.

Definition at line 31 of file AlgContext.cpp.

Referenced by AlgContextSvc::queryInterface().

    00032 {
    00033   static const InterfaceID s_interface ( "IAlgContextSvc" , 2 , 0 ) ;
    00034   return s_interface ;
    00035 }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IAlgContextSvc.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/AlgContext.cpp